TICKIT_PEN_GET_INT_ATTR(3)

NAME
tickit_pen_get_int_attr, tickit_pen_set_int_attr - manipulate an integer pen attribute

SYNOPSIS
    #include <tickit.h>

    int tickit_pen_get_int_attr(TickitPen *pen, TickitPenAttr attr);
    void tickit_pen_set_int_attr(TickitPen *pen, TickitPenAttr attr, int val);

Link with -ltickit.

DESCRIPTION
tickit_pen_get_int_attr() returns the current value of the given integer attribute on the pen, or 0 if that attribute is not defined.

tickit_pen_set_int_attr() provides a new value for the given integer attribute on the pen. It will invoke the TICKIT_EV_CHANGE event on the pen instance.

RETURN VALUE
tickit_pen_get_int_attr() returns an integer value. tickit_pen_set_int_attr() returns no value.

SEE ALSO
tickit_pen_new(3), tickit_pen_has_attr(3), tickit_pen_set_bool_attr(3), tickit_pen_set_colour_attr(3), tickit_pen_clear_attr(3), tickit_pen(7), tickit(7)